# wandtest.c File Reference

`#include <magick/magick-config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <time.h>`
`#include <wand/MagickWand.h>`

## Defines

#define | WandDelay 3
#define | ThrowAPIException(wand)

## Functions

int | main (int argc, char **argv)

## Define Documentation

#define ThrowAPIException | ( | wand |  | ) |

Value:

    { \
      description=MagickGetException(wand,&severity); \
      (void) fprintf(stderr,"%s %s %lu %s\n",GetMagickModule(),description); \
      description=(char *) MagickRelinquishMemory(description); \
      exit(-1); \
    }

#define WandDelay 3

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv |
| ) |  |  |